Skip to main content
https://.thoughtindustries.com

Update Access

Updates the content access settings for a client, including the courses, learning paths, course tags, and purchasable content the client can access. Returns the updated client object

Updates the content access settings for a client, including the courses, learning paths, course tags, and purchasable content the client can access. Returns the updated client object.

PUThttps://example.thoughtindustries.com/incoming/v2/clients/:id/updateAccess

Example request

curl -X PUT "https://example.thoughtindustries.com/incoming/v2/clients/:id/updateAccess" \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "courseIds": "00000000-0000-0000-0000-000000000000",
  "courseTagIds": "00000000-0000-0000-0000-000000000000",
  "learningPathIds": "00000000-0000-0000-0000-000000000000",
  "purchasableContentIds": "00000000-0000-0000-0000-000000000000"
}'

Parameters

NameTypeRequiredLocationDescription
iduuidYespathThe id identifier.
courseIdsuuid[]YesbodyIDs of the courses to grant the client access to.
courseTagIdsuuid[]YesbodyIDs of the course tags used to grant the client access to all courses with matching tags.
learningPathIdsuuid[]YesbodyIDs of the learning paths to grant the client access to.
purchasableContentIdsuuid[]YesbodyIDs of the purchasable content items to grant the client access to.
purchasableTagIdsuuid[]YesbodyIDs of the purchasable content tags used to grant the client access to all matching purchasable items.
replaceCourseIdsbooleanNobodyWhen true, replaces the client's existing course access list with the provided courseIds instead of appending to it.
replaceLearningPathIdsbooleanNobodyWhen true, replaces the client's existing learning path access list with the provided learningPathIds instead of appending to it.
replaceCourseTagIdsbooleanNobodyWhen true, replaces the client's existing course tag access list with the provided courseTagIds instead of appending to it.
replacePurchasableContentIdsbooleanNobodyWhen true, replaces the client's existing purchasable content access list with the provided purchasableContentIds instead of appending to it.
replacePurchasableTagIdsbooleanNobodyWhen true, replaces the client's existing purchasable tag access list with the provided purchasableTagIds instead of appending to it.

Example response

{
  "data": {
    "UpdateClientAccess": {
      "id": "00000000-0000-0000-0000-000000000000",
      "name": "string",
      "schoolName": "string",
      "courses": [
        {
          "id": "00000000-0000-0000-0000-000000000000",
          "createdAt": "2024-01-01T00:00:00.000Z",
          "updatedAt": "2024-01-01T00:00:00.000Z",
          "slug": "example-slug",
          "status": "draft",
          "title": "string",
          "sessionIsTitled": true,
          "sampleLesson": {
            "id": "00000000-0000-0000-0000-000000000000",
            "title": "string",
            "slug": "example-slug",
            "accessLevel": "studentsOnly",
            "section": {
              "...": "..."
            },
            "slugOrId": "string",
            "topics": [
              null
            ],
            "topicOutline": [
              {
                "...": "..."
              }
            ]
          },
          "sampleLessonId": "00000000-0000-0000-0000-000000000000",
          "sections": [
            {
              "id": "00000000-0000-0000-0000-000000000000",
              "title": "string",
              "lessons": [
                {
                  "...": "..."
                }
              ],
              "slug": "example-slug",
              "status": "draft",
              "releaseAt": "2024-01-01T00:00:00.000Z",
              "parentSectionId": "00000000-0000-0000-0000-000000000000"
            }
          ],
          "appearanceBlock": "00000000-0000-0000-0000-000000000000",
          "appearanceHash": "string",
          "paywallsBlock": "00000000-0000-0000-0000-000000000000",
          "termsBlock": "00000000-0000-0000-0000-000000000000",
          "confirmationBlock": "00000000-0000-0000-0000-000000000000",
          "courseStartDate": "2024-01-01T00:00:00.000Z",
          "courseEndDate": "2024-01-01T00:00:00.000Z",
          "enrollmentStartDate": "2024-01-01T00:00:00.000Z",
          "enrollmentEndDate": "2024-01-01T00:00:00.000Z",
          "gracePeriodEndDate": "2024-01-01T00:00:00.000Z",
          "seatsLimit": 0,
          "waitlistCount": 0,
          "seatsLimitMet": true,
          "waitlistingEnabled": true,
          "waitlistingTriggered": true,
          "taxable": true,
          "purchasable": true,
          "taxCategory": "00000000-0000-0000-0000-000000000000",
          "fulfillmentCenter": "00000000-0000-0000-0000-000000000000",
          "courseGroup": {
            "id": "00000000-0000-0000-0000-000000000000",
            "authoringClientId": "00000000-0000-0000-0000-000000000000",
            "createdAt": "2024-01-01T00:00:00.000Z",
            "displayCourse": {
              "...": "..."
            },
            "displayBundle": {
              "...": "..."
            },
            "courses": [
              {
                "...": "..."
              }
            ],
            "asset": "string",
            "assetAltText": "string",
            "assetLibraryId": "00000000-0000-0000-0000-000000000000",
            "detailAsset": "string",
            "detailAssetAltText": "string",
            "detailAssetLibraryId": "00000000-0000-0000-0000-000000000000",
            "videoAsset": "string",
            "tabs": [
              {
                "...": "..."
              }
            ],
            "description": "string",
            "title": "string",
            "archived": true,
            "metaTitle": "string",
            "metaDescription": "string",
            "language": "string",
            "slug": "example-slug",
            "rating": 0,
            "ratingsCount": 0,
            "relatedCourseGroups": [
              {
                "...": "..."
              }
            ],
            "relatedQuery": "string",
            "relatedQuerySort": "string",
            "relatedQueryLimit": 0,
            "relatedQuerySignature": "string",
            "relatedShowImageAsset": true,
            "relatedShowDescription": true,
            "externalPurchaseUrl": "string",
            "externalDetailUrl": "string",
            "layout": {
              "...": "..."
            },
            "hasParentCourseGroup": true,
            "tags": [
              {
                "...": "..."
              }
            ],
            "customFields": {},
            "authors": [
              "string"
            ],
            "source": "string",
            "isbn": "string",
            "ribbon": "example-slug",
            "contentType": {
              "...": "..."
            },
            "kind": "microCourse",
            "availabilityStatus": "string",
            "ownedByActiveScope": true,
            "allowRescheduling": true,
            "currentUserMayReschedule": true,
            "isTemplate": true
          },
          "syllabusTitlesEnabled": true,
          "galleryEnabled": true,
          "workbookEnabled": true,
          "linkedWorkbookEnabled": true,
          "linkedWorkbookSkipEnabled": true,
          "superquizEnabled": true,
          "discussionsEnabled": true,
          "resourcesEnabled": true,
          "meetingsOverviewEnabled": true,
          "recurrenceRule": "string",
          "recurrence": {},
          "readableRecurrenceString": "string",
          "instructorAccessEnabled": true,
          "instructorEmails": [
            "string"
          ],
          "freeWithRegistration": true,
          "priceInCents": 0,
          "instructorAccessPriceInCents": 0,
          "suggestedRetailPriceInCents": 0,
          "alternativePricingType": "membership",
          "alternativePricingRef": 0,
          "accessDays": 0,
          "showProgress": true,
          "annotationsEnabled": true,
          "forceLinearProgress": true,
          "completionTimePerPage": 0,
          "askLearnerPassword": true,
          "roster": true,
          "topicGroupId": "00000000-0000-0000-0000-000000000000",
          "sku": "string",
          "prerequisiteCourses": [
            {
              "...": "..."
            }
          ],
          "prerequisiteLearningPaths": [
            {
              "id": "00000000-0000-0000-0000-000000000000",
              "layoutId": "00000000-0000-0000-0000-000000000000",
              "layout": {
                "...": "..."
              },
              "learnerLayoutId": "00000000-0000-0000-0000-000000000000",
              "learnerLayout": {
                "...": "..."
              },
              "name": "string",
              "sku": "string",
              "ribbon": {
                "...": "..."
              },
              "slug": "example-slug",
              "client": {
                "...": "..."
              },
              "createdAt": "2024-01-01T00:00:00.000Z",
              "metaTitle": "string",
              "metaDescription": "string",
              "asset": "https://example.com/path",
              "assetAltText": "string",
              "assetLibraryId": "00000000-0000-0000-0000-000000000000",
              "detailAsset": "https://example.com/path",
              "detailAssetAltText": "string",
              "detailAssetLibraryId": "00000000-0000-0000-0000-000000000000",
              "heroAsset": "https://example.com/path",
              "heroAssetAltText": "string",
              "priceInCents": 0,
              "suggestedRetailPriceInCents": 0,
              "alternativePricingType": "membership",
              "alternativePricingRef": 0,
              "accessDays": 0,
              "shortDescription": "string",
              "longDescription": "string",
              "tags": [
                {
                  "...": "..."
                }
              ],
              "status": "draft",
              "freeWithRegistration": true,
              "hasMultipleCurrencies": true,
              "prices": [
                {
                  "...": "..."
                }
              ],
              "customFields": {},
              "contentType": "string",
              "confirmationHtml": "string",
              "startDate": "2024-01-01T00:00:00.000Z",
              "endDate": "2024-01-01T00:00:00.000Z",
              "enrollmentStartDate": "2024-01-01T00:00:00.000Z",
              "enrollmentEndDate": "2024-01-01T00:00:00.000Z",
              "milestones": [
                {
                  "...": "..."
                }
              ],
              "availabilityStatus": "string",
              "currentUserStartActionDate": "2024-01-01T00:00:00.000Z",
              "isPayAsYouGo": true,
              "language": "string",
              "futurePublishDate": "2024-01-01T00:00:00.000Z",
              "purchasable": true,
              "taxable": true,
              "fulfillmentCenter": {
                "...": "..."
              },
              "taxCategory": "00000000-0000-0000-0000-000000000000",
              "currentUserPendingCertificate": true,
              "currentUserEarnedCertificate": true,
              "currentUserDueDate": "2024-01-01T00:00:00.000Z",
              "bulkPurchasingEnabled": true,
              "seatTiers": [
                {
                  "...": "..."
                }
              ],
              "seatPackages": [
                {
                  "...": "..."
                }
              ],
              "lastTierPriceInCents": 0,
              "prerequisiteCourses": [
                {
                  "...": "..."
                }
              ],
              "prerequisiteLearningPaths": [
                {
                  "...": "..."
                }
              ],
              "resourceType": "string",
              "seatsLimit": 0,
              "videoAsset": "00000000-0000-0000-0000-000000000000",
              "relatedQuery": "string",
              "relatedQuerySignature": "string",
              "source": "string",
              "authors": [
                "string"
              ],
              "publishDate": "2024-01-01T00:00:00.000Z",
              "externalDetailUrl": "string",
              "externalConditionalRedirectUrl": "string",
              "kind": "string",
              "tabs": {
                "...": "..."
              },
              "updatedAt": "2024-01-01T00:00:00.000Z",
              "dueDate": "2024-01-01T00:00:00.000Z",
              "dueDateDays": 0,
              "allowUnorderedMilestoneAccess": true,
              "authoringClient": "00000000-0000-0000-0000-000000000000",
              "isTemplate": true,
              "externalPurchaseUrl": "string"
            }
          ],
          "parentCourseId": "00000000-0000-0000-0000-000000000000",
          "isChild": true,
          "hasMultipleCurrencies": true,
          "prices": [
            {
              "id": "00000000-0000-0000-0000-000000000000",
              "currencyCode": "string",
              "unitAmount": 0,
              "suggestedRetailUnitAmount": 0,
              "annualUnitAmount": 0,
              "unitsAmount": [
                0
              ],
              "instructorAccessUnitAmount": 0,
              "variations": [
                {
                  "...": "..."
                }
              ],
              "locale": "string",
              "isDefault": true,
              "alternativePricingRef": 0,
              "alternativePricingType": "membership",
              "